# Interface GaugeSet

public interface GaugeSet
A Gauge is an application provided object which will be called by the metrics framework to sample a numeric value. A GaugeSet is a set of `Gauge` grouped by keys.

## Method Summary

Modifier and Type
Method
Description
`Map<String,Number>`
`values()`
Returns all values and the associated keys of the GaugeSet.

## Method Details

### values

Map<String,Number> values()
Returns all values and the associated keys of the GaugeSet. The MetricsProvider will call this callback without taking care of synchronization, it is up to the application to handle thread safety.

Returns:
  all the values and keys